Skip to main content
DELETE /agents/{agentId}/files/{fileId} Deletes a specific file associated with an agent.

Code Examples

curl --request DELETE \
  --url '
 \
  --header 'Authorization: Bearer YOUR_API_KEY'

Headers

ParameterTypeRequiredDescription
x-workspace-idintegerNoWorkspace ID. If not provided, the user’s selected Workspace will be used.
Note: This field will be required in a future API release. It is highly recommended to set it now to ensure compatibility with future updates.

Parâmetros de Rota

ParameterTypeRequiredDescription
agentIdstringYesThe agent ID
fileIdstringYesThe ID of the file to delete

Resposta

{
"id": 8794,
"file": {
  "id": 73336,
  "object": "file",
  "bytes": 35504128,
  "created_at": "2025-01-05T22:39:57+00:00",
  "filename": "endpoints.pdf",
  "credits": 20.10060847168,
  "status": "completed"
},
"removed": true
}